#: include Header.kv
#: include TeamItemRes.kv


<Team_results>:
    name: "Team_results"
    canvas.before:
        Color:
            rgb: 1,0,0
        Rectangle:
            size: self.size
            pos: self.pos

    BoxLayout:
        id: parts
        size_hint: 1,.95
        spacing: 10
        padding: 10

        canvas.before:
            Color:
                rgba: 1,.5,.8,1
            Rectangle:
                size: self.size
                pos: self.pos

        pos_hint: {"x":0, "top":1}

        BoxLayout:
            id: Epee
            orientation: "vertical"

            canvas.before:
                Color:
                    rgb: 0,0,0
                Line:
                    width: 1.2
                    rectangle: self.x, self.y, self.width, self.height

            Label:
                text: "Epee"
                size_hint: None, None
                font_size: 20
                size: self.texture_size
                pos_hint:{"center_x":.5}

            BoxLayout:
                orientation: "vertical"
                id: epee_table
                Header:
                StackLayout:
                    orientation: "lr-tb"
                    id: epee_team_list

                Label:
                    id:empty


        BoxLayout:
            id: Foil
            orientation: "vertical"

            canvas.before:
                Color:
                    rgb: 0,0,0
                Line:
                    width: 1.2
                    rectangle: self.x, self.y, self.width, self.height
            Label:
                text: "Foil"
                size_hint: None, None
                font_size: 20
                size: self.texture_size
                pos_hint:{"center_x":.5}

            BoxLayout:
                orientation: "vertical"
                id: foil_table
                Header:
                StackLayout:
                    orientation: "lr-tb"
                    id: foil_team_list


                Label:
                    id:empty


        BoxLayout:
            id: Sabre
            orientation: "vertical"

            canvas.before:
                Color:
                    rgb: 0,0,0
                Line:
                    width: 1.2
                    rectangle: self.x, self.y, self.width, self.height
            Label:
                text: "Sabre"
                size_hint: None, None
                font_size: 20
                size: self.texture_size
                pos_hint:{"center_x":.5}

            BoxLayout:
                orientation: "vertical"
                id: sabre_table
                Header:
                StackLayout:
                    orientation: "lr-tb"
                    id: sabre_team_list


                Label:
                    id:empty


    BoxLayout:
        id: commands
        size_hint: 1,.05
        spacing: 40
        padding: 80,4
        canvas.before:
            Color:
                rgba: .1,.5,.8,1
            Rectangle:
                size: self.size
                pos: self.pos

        pos_hint: {"x":0, "y":0}

        Button:
            text: "total"
            on_release: root.total()


        Button:
            text: "save as XLSX"
            on_release: root.excel()


